VERSION 2.00
Begin Form Form1 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   0  'None
   ClientHeight    =   1095
   ClientLeft      =   570
   ClientTop       =   6615
   ClientWidth     =   2520
   ControlBox      =   0   'False
   Height          =   1500
   Left            =   510
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1095
   ScaleWidth      =   2520
   Top             =   6270
   Width           =   2640
End

Sub Form_Load ()
' Be aware that the following 3D is not available
' at design time!
' NO NEED TO RETRIEVE THE HINSTANCE WITH VB...

' Mke sure the user uses SETUP.EXE
a% = ExtractParameters(Command$)
If (a% = 0) Then
  MsgBox "Please use SETUP.EXE to launch the installation..."
  Unload Form1
  End
End If
sTemp$ = szTempSetupPath$ + "CSETUP.DLL"
hLibCSetup% = LoadLibrary(sTemp$)
sTemp$ = szTempSetupPath$ + "UZSETUP.DLL"
hLibUZSetupXXX% = LoadLibrary(sTemp$)
sTemp$ = szTempSetupPath$ + "SGAUGE.DLL"
hLibSGauge% = LoadLibrary(sTemp$)
sTemp$ = szTempSetupPath$ + "CTL3D.DLL"
hLibCTL3d% = LoadLibrary(sTemp$)
hInstance% = 0
a% = Ctl3dRegister(hInstance%)
a% = Ctl3dAutoSubclass(hInstance%)


a% = BringWindowToTop(Form1.hWnd)

'--------------------------------------------------------------
'Now we simply fill the layout list
'--------------------------------------------------------------
Section(1).Name$ = "Files"  'Section name
Section(1).ELabel$ = "&Main program"  'US Label
Section(1).FLabel$ = "&Programme principal"  'US Label
Section(1).bSelected% = 0
'Section(1).Directory$ = "SUBDIR\" 'Not needed here
'Do the same for all the groups you plan to install...

IconEntry(1).szIconRelativeName$ = "NOTUSED.EXE" 'The program name
IconEntry(1).EGroupName$ = "Setup Studio Demo"
IconEntry(1).FGroupName$ = "Dmonstration Setup Studio"
IconEntry(1).EIconName$ = "Prog name"
IconEntry(1).FIconName$ = "Programme"
IconEntry(1).EIconText$ = "Some additional infos..."
IconEntry(1).FIconText$ = "Infos complmentaires..."
'Do the same for all the icons you plan to install...


'--------------------------------------------------------------
'Set the text colors using RGB
'--------------------------------------------------------------
lPanel1TitleColor& = RGB(192, 192, 192)
lPanel1DetailColor& = RGB(0, 128, 128)
lPanel2TitleColor& = RGB(192, 192, 192)
lPanel2DetailColor& = RGB(0, 128, 128)
lPanel3TitleColor& = RGB(192, 192, 192)
lPanel3DetailColor& = RGB(0, 128, 128)

' -------------------------------------------------
' Splash Dialog box
' -------------------------------------------------
bRunningSetup% = 0
Load Form2
Form2.Show 0
Do While (FirstCanClose% = 0)
a% = DoEvents()
Loop
Unload Form2
Form1.Show

' -------------------------------------------------
' Choose directory Dialog Box
' -------------------------------------------------
If (bIsSetupOK% <> 0) Then
  Load Form3
  Form3.Show 1
  a% = BringWindowToTop(Form3.hWnd)
  Do While (DirCanClose% = 0)
     a% = DoEvents()
  Loop
  Unload Form3
  If (bUserAbort% = 1) Then
    Unload Form1
    End
  End If
End If

' -------------------------------------------------
' Options Dialog Box
' -------------------------------------------------
If (iPanel2Bitmap% = 0) Then
   If (szPanel2Title$ <> "") Then
      a% = SetTextLogo(szPanel2Title$, szPanel2TitleFont$, iPanel2TitleSize%, lPanel2TitleColor&, bPanel2Title3D%, bPanel2TitleBold%)
      If (szPanel2Detail$ <> "") Then
     a% = SetTextDetail(szPanel2Detail$, szPanel2DetailFont$, iPanel2DetailSize%, lPanel2DetailColor&, bPanel2Detail3D%, bPanel2DetailBold%)
      End If
      a% = SetLogoType(1)
   End If
Else
   'a% = SetLogo(hInstance%, iPanel2Bitmap)
   'SetLogoType( 0)
End If

Refresh

If (bIsSetupOK% <> 0) Then
   Load Form4
   Form4.Show 1
   a% = BringWindowToTop(Form4.hWnd)
   Do While (OptionCanClose% = 0)
      a% = DoEvents()
   Loop
   Unload Form4
   If (bUserAbort% = 1) Then
      Unload Form1
      End
   End If
End If


' -------------------------------------------------
' LOG file
' -------------------------------------------------
If (bUseLogFile% = 1) Then
  szLogFile$ = UserPath$ + szLogFileName$
  a% = SetLogFile(szLogFile$)
End If



' -------------------------------------------------
' Setup process screen
' -------------------------------------------------
If (iPanel3Bitmap% = 0) Then
  If (szPanel3Title$ <> "") Then
    a% = SetTextLogo(szPanel3Title$, szPanel3TitleFont$, iPanel3TitleSize%, lPanel3TitleColor&, bPanel3Title3D%, bPanel3TitleBold%)
    If (szPanel3Detail$ <> "") Then
       a% = SetTextDetail(szPanel3Detail$, szPanel3DetailFont$, iPanel3DetailSize%, lPanel3DetailColor&, bPanel3Detail3D%, bPanel3DetailBold%)
    End If
    a% = SetLogoType(1)
  End If
Else
  'a% = SetLogo(hInstance%, iPanel3Bitmap)
  'SetLogoType( 0)
End If

Refresh

' -------------------------------------------------
' Setup process
' -------------------------------------------------
If (bUserAbort% <> 1) Then
iResult% = GoSetup(Form1.hWnd, 1)
End If

' -------------------------------------
' Setup successful
' -------------------------------------
If (iResult% = SETUP_SUCCESSFUL) Then
 If (Section(1).bSelected% <> 0) Then   'Install icons and so on
    ' -------------------------------------
    ' Icons
    ' -------------------------------------
    If (bInstallIcons% <> 0) Then
      If (iLanguage% = LANGUAGE_FRENCH) Then
     mResult% = MsgBox("Souhaitez vous installer les icnes de " + szProductName$ + " ?", 36)
      Else
     mResult% = MsgBox("Would you like to install the " + szProductName$ + " icons?", 36)
      End If
      If (mResult% = 6) Then
     'We make sure PROGMAN is still the shell on this PC...
     szBuffer$ = String$(255, 0)
     szSystemIni$ = szWinDir$ + "SYSTEM.INI"
     a% = GetPrivateProfileString("boot", "shell", "", szBuffer$, 20, szSystemIni$)
     iZero% = InStr(szBuffer$, Chr$(0))
     szTemp$ = Left$(szBuffer$, iZero% - 1)
     If ((szTemp$ <> "PROGMAN") And (szTemp$ <> "progman")) Then
       If (iLanguage% = LANGUAGE_FRENCH) Then
	  Message$ = "Le gestionnaire de programme n' est pas prsent!L' installation des icnes peut chouer et une installation manuelle sera peut tre ncessaire"
       Else
	  Message$ = "ProgMan not detected! Icons installation can fail, amybe a manual icons installation will be required."
       MsgBox Message$
     End If
     ' Now we walk through the icons list
     For a% = 1 To NumberOfIcons%
     IconPath$ = UserPath$ + IconEntry(a%).szIconRelativeName$
     b% = DoesFileExist(IconPath$, 1)
     If (b%) Then
      If (IconEntry(a%).EIconText$ <> "") Then
	If (iLanguage% = LANGUAGE_FRENCH) Then
	  AddItemToProgman IconEntry(a%).FGroupName$, IconPath$, IconEntry(a%).FIconName$, IconEntry(a%).FIconText$
	  c% = ShowProgmanGroup(IconEntry(a%).FGroupName$)
	Else
	  AddItemToProgman IconEntry(a%).EGroupName$, IconPath$, IconEntry(a%).EIconName$, IconEntry(a%).EIconText$
	  c% = ShowProgmanGroup(IconEntry(a%).EGroupName$)
	End If
      End If
     End If
     Next a%
     Refresh
      End If
    End If
    ' -------------------------------------
    ' WinFile Associations
    ' -------------------------------------
    If (bMakeAssociation% <> 0) Then
      For a% = 0 To NumberOfAsso
    Assoc$ = UserPath$ + WFAsso(a%).szProgName$
    b% = DoesFileExist(Assoc$, 1)
    If (b% <> 0) Then
      b% = CreateWinFileAssociation(WFAsso(a%).szExt$, Assoc$)
    End If
      Next a%
    End If
    ' -------------------------------------
    ' Shell
    ' -------------------------------------
    If (szLaunch$ <> "") Then
      szLaunchType$ = Right$(szLaunch$, 3)
      If ((szLaunchType$ = "HLP") Or (szLaunchType$ = "hlp")) Then
     DestHelpFile$ = UserPath$ + szLaunch$
     a% = DoesFileExist(DestHelpFile$, 1)
     If (a% <> 0) Then
	If (iLanguage% = LANGUAGE_FRENCH) Then
	   b% = MsgBox("L' installation est termine. Souhaitez vous parcourir le fichier d' aide maintenant?", 36)
	Else
	   b% = MsgBox("Installation complete. Would you like to have a look at the HLP file right now?", 36)
	End If
	If (b% = 6) Then
	   c% = WinHelp(0, DestHelpFile$, 3, 0)
	End If
     End If
      Else 'it must be a program!
    szLaunch2$ = UserPath$ + szLaunch$
    a% = DoesFileExist(szLaunch2$, 1)
    If (a% <> 0) Then
       a% = Shell(szLaunch2$, 1)
    End If
End If
    End If
 End If 'First section selected
Else
 ' -------------------------------------
 ' Bad setup
 ' -------------------------------------
 If (iLanguage% = LANGUAGE_FRENCH) Then
   b% = MsgBox("L' installation est icomplte. Vous devez rinstaller le programme!", 48)
 Else
   b% = MsgBox("Installation not complete. You should reinstall this program!", 48)
 End If
End If
End If

Unload Form1
End

End Sub

Sub Form_Paint ()
a% = ShowMainWindow(Form1.hWnd)
If (Form3.Visible <> 0) Then
a% = BringWindowToTop(Form3.hWnd)
End If
End Sub

Sub Form_Unload (Cancel As Integer)

a% = Ctl3dUnregister(hInstance%)
'a% = DeleteSystemDir()
FreeLibrary (hLibCSetup%)
FreeLibrary (hLibUZSetupXXX%)
FreeLibrary (hLibSGauge%)
FreeLibrary (hLibCTL3d%)
End Sub

